ALTER TABLE VS4TCapacityMG ADD
	TCPMDate datetime NULL
GO
UPDATE VS4TCapacityMG Set TCPMDate=CAST(''+TCPMYear+'0101' AS datetime)+(((TCPMweek)-1)*7)
where TCPMDate is null
GO
ALTER TABLE VS4TCapacityMG ALTER COLUMN
	TCPMDate datetime NOT NULL
GO